Linux Users

Highlighted

Using GPIB-USB-HS with CentOS8

 Hello everyone,

 

I faced a problem and need some help.

 

I try to communicate with my instrument using GPIB-USB-HS and installed NI-VISA and NI-488.2 on CentOS8.

But it seems that my computer doesn't recognize GPIB-USB-HS.

Following messages is the output from PyVisa.


>>> import pyvisa as visa
>>> rm = visa.ResourceManager('/usr/lib/x86_64-linux-gnu/libvisa.so.20.0.0')
>>> rm.list_resources()
('ASRL1::INSTR', 'ASRL2::INSTR', 'ASRL3::INSTR', 'ASRL4::INSTR')


You can see there is not 'GPIB0::INSTR'.

Does this mean the computer doesn't recognize GPIB? where am I wrong? Do you have any idea?

 

Best Regard,

Hideharu

0 Kudos
Message 1 of 2
(54 Views)
1 REPLY 1
Highlighted

Re: Using GPIB-USB-HS with CentOS8

Hello Hideharu,

 

That device (GPIB-USB-HS) is not currently supported on Linux, see the 20.1 readme for 488.2

 

excerpt:

-------------------------
Supported GPIB Interfaces
-------------------------
NI PCI-GPIB
NI PCI-GPIB+ *
NI PCI-GPIB/LP
NI PCIe-GPIB
NI PCIe-GPIB+ *
NI PCI-8232
NI PXI-GPIB
NI PXI-8232
NI GPIB-ENET/1000

  

0 Kudos
Message 2 of 2
(20 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.